petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexUninterpolate

Take in a mesh with all intermediate faces, edges, etc. and return a cell-vertex mesh

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexUninterpolate(DM dm, DM *dmUnint)

Collective on DM

### Input Parameter

dm -The complete DMPlex object

### Output Parameter

dmUnint -The DMPlex object with only cells and vertices

### Keywords

mesh

### See Also

DMPlexInterpolate(), DMPlexCreateFromCellList()

Level:intermediate
Location:src/dm/impls/plex/plexinterpolate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages